<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT ab.id, pa.id as idproyeccion, ab.AbaGranja, ab.FechaInicioAbastecimiento, ab.FechaFinalAbastecimiento, pa.Responsable, tc.DetTipoCombustible, ab.PromeStock, ab.GalonesIngresado, ab.Abasstock FROM abastecimiento ab INNER JOIN programaabastecimiento pa ON ab.IdProgramaAbastecimiento = pa.id INNER JOIN responsableabastecimiento ra ON ab.IdResponsableAbastecimiento = ra.IdResponsableAbastecimiento INNER JOIN tipocombustible tc ON pa.IdTipoCombustible = tc.IdTipoCombustible ORDER BY id DESC");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>